FROM node:20 AS base
WORKDIR /app
COPY package.json ./

RUN npm install

COPY . .
RUN npx prisma generate 
RUN npm run build

FROM node:20-alpine3.19 as release
WORKDIR /app

COPY --from=base /app/node_modules ./node_modules
COPY --from=base /app/package.json ./package.json
COPY --from=base /app/.next ./.next
COPY --from=base /app/public ./public

CMD ["npm","run", "start"]